This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 617594 - Weird behaviour on notebook lid close with external monitor
Weird behaviour on notebook lid close with external monitor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 10:02 EDT by Horst H. von Brand
Modified: 2015-01-14 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 10:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2010-07-23 10:02:51 EDT
Description of problem:
I have an external monitor. I set up Gnome to use both displays (notebook and external) and normally close the lid. But gnome-screensaver is configured to suspend the machine when closed and no external power, so it promptly goes to sleep. I have to restart the machine to ble abe to use it.

I set the System->Preferences->Monitors->Cconfigure display settings to use the external monitor by default, but it doesn't work (settings don't stay). Ditto for System->Preferences->Monitor settings.

[I try to run the machine without external power for a while so as to conserver the battery]

Version-Release number of selected component (if applicable):
gnome-screensaver-2.30.0-2.fc14.x86_64
gnome-session-2.31.2-2.fc14.x86_64

How reproducible:
Always


Steps to Reproduce:
(See above)
  
Actual results:
Machine suspends, have to turn it on to be able to use it. It stays on after that (until timeout with no use)

Expected results:
Machine stays on as long as the external monitor is connected

Additional info:
Sorry that I'm not knowledegable enough about Gnome to pin this down further.
Comment 1 Bug Zapper 2010-07-30 08:47:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Horst H. von Brand 2010-08-17 10:46:21 EDT
This went away some time ago. Can't finger the update that fixed this, sorry. gnome-screensaver hasn't changed.

Note You need to log in before you can comment on or make changes to this bug.